<?php
namespace Claromentis\News\AbsoluteUrl;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_4fabdeae28e3ef459" . "1a36a28a346dc55" => base64_decode("YWRtaW4ubGFicy5hYnNvbHV0ZV91cmwubmV3cw" . "=="), "_559824e0ac2e0f7e96c8104" . "73f78f5fe" => base64_decode("L25ld3M" . "v"));
use Claromentis\Admin\Sysadmin\AbsoluteUrl\AbstractAbsoluteUrl;
use Claromentis\Core\DAL\QueryBuilder;
abstract class AbstractNewsAbsoluteUrl extends AbstractAbsoluteUrl
{
    
    
    
    
    public function getName() : string
    {
        return ($this->lmsg)($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_4fabdeae28e3ef4591a36a28a346dc5" . "5"]);
    }
    
    
    
    
    public function getLink($id) : string
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_559824e0ac2e0f7" . "e96c810473f78f5f" . "e"] . $id;
    }
    
    
    
    
    public abstract function getType() : string;
    
    
    
    
    public abstract function getQueryBuilder() : QueryBuilder;
}